Bug 1608024 - [Sat6.4] Filter to list RPM repos on new Red Hat Repositories page should not list Beta repos
Summary: [Sat6.4] Filter to list RPM repos on new Red Hat Repositories page should not...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.4.0
Assignee: Michael Johnson
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 19:06 UTC by Ashish Humbe
Modified: 2019-11-05 23:30 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.21-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:56:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
Beta repos listed even when we have seleceted RPM filter (144.78 KB, image/png)
2018-07-30 09:57 UTC, Ashish Humbe
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24680 None None None 2018-08-22 08:36:52 UTC
Github Katello katello pull 7657 None None None 2018-08-28 19:05:43 UTC

Description Ashish Humbe 2018-07-24 19:06:26 UTC
Description of problem:

When we filter out "RPM" repos,  still we can see Beta repositories on Red Hat Repositories page. We have a separate filter for "Beta" repos, unless user use it those beta repos should not be listed. 

Example: On Red Hat Repositories page, Click on "Nothing Selected" -> Select only "RPM" , You will see many Beta repositories also listed.

If we limit the search results for "RPM" to non-beta repos then the search result will look good and it will be easy to find and enable the required repository.

Comment 2 Ashish Humbe 2018-07-30 09:57:06 UTC
Created attachment 1471484 [details]
Beta repos listed even when we have seleceted RPM filter

Comment 3 Walden Raines 2018-08-22 08:36:51 UTC
Created redmine issue https://projects.theforeman.org/issues/24680 from this bug

Comment 4 Walden Raines 2018-08-22 09:08:39 UTC
Any idea if we need to provide something other than RPM as a content type?  The search we're providing currently is:

/katello/api/v2/repository_sets?organization_id=1&with_active_subscription=true&per_page=20&search=(((name+!~+source+rpm)+and+(name+!~+debug+rpm)+and+(content_type+%3D+yum)))

Trying to figure out if this issue is on the API or UI side.

Comment 5 Brad Buckingham 2018-08-22 11:40:35 UTC
I am going to switch the needinfo to Michael.  He picked up the card yesterday afternoon to begin investigating.  I suspect that this will involve both server-side and UI.  The UI side may be simply updating the query when Beta is selected.  (If you can point Michael to that code, that would be great.)  The server-side might be creating a custom search (if not supported by default).  That said, it needs to be investigated to identify the proper solution.

On the old page (Sat 6.3), the app was able to differentiate types based upon:
  RPMs, Kickstarts, Source RPMs, Debug RPMs, Beta, ISOs, OSTree and Other

That page was using the following action:
  katello/providers/redhat_provider_tab?tab=beta

Comment 6 Walden Raines 2018-08-22 13:15:14 UTC
(In reply to Brad Buckingham from comment #5)
> I am going to switch the needinfo to Michael.  He picked up the card
> yesterday afternoon to begin investigating.  I suspect that this will
> involve both server-side and UI.  The UI side may be simply updating the
> query when Beta is selected.  (If you can point Michael to that code, that
> would be great.)  The server-side might be creating a custom search (if not
> supported by default).  That said, it needs to be investigated to identify
> the proper solution.
> 
> On the old page (Sat 6.3), the app was able to differentiate types based
> upon:
>   RPMs, Kickstarts, Source RPMs, Debug RPMs, Beta, ISOs, OSTree and Other
> 
> That page was using the following action:
>   katello/providers/redhat_provider_tab?tab=beta

https://github.com/Katello/katello/blob/master/webpack/redux/actions/RedHatRepositories/helpers.js#L7

Comment 7 pm-sat@redhat.com 2018-08-28 22:14:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24680 has been resolved.

Comment 9 Peter Ondrejka 2018-09-05 13:49:12 UTC
Verified on Satellite 6.4 snap 2O, repository search limited to RPM type does not include beta repositories

Comment 10 Bryan Kearney 2018-10-16 18:56:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.